require("defines")

local thing = "beast-flare-stack"

script.on_event(defines.events.on_built_entity,
	function (event)
		if event.created_entity.name == thing then
			local inv = event.created_entity.get_inventory(defines.inventory.fuel)
			local itemstack = {name='coal', count=10}
			if inv and inv.valid and inv.can_insert(itemstack) then
				inv.insert(itemstack)
			else
				BML = blog(0, "Can't insert fuel?"); if BML then log(BML) end
			end
			savePipe(event.created_entity)	
		end
   	end
)

script.on_event(defines.events.on_robot_built_entity,
   	function (event)
		if event.created_entity.name == thing then
			savePipe(event.created_entity)
		end
   	end
)

function savePipe(entity)
	if global.pipes == nil then
		global.pipes = {}
	end
	table.insert(global.pipes, entity)
end

function B666M.processPipes()
	if global.pipes ~= nil then
		for k,pipe in pairs(global.pipes) do
			if pipe.valid then
				-- if pipe.fluidbox[1] ~= nil then
					-- log("Deleting " .. pipe.fluidbox[1].amount .. " x " .. pipe.fluidbox[1].name)
				-- end
				log(serpent.line(pipe.burner.remaining_burning_fuel))
				--pipe.fluidbox[1] = nil
			else
				table.remove(global.pipes, k)
				if #global.pipes == 0 then
					global.pipes = nil
				end
			end
		end
	end
end
