
local thing = "pmptest"

script.on_event(defines.events.on_player_created, function(event)

	local player = game.players[event.player_index]
	
	--Check for sandbox mode... or any mode without a player body.
	if not player.character then
		return
	end
	
	player.insert{name = "coal", count = 100}
	player.insert{name = "pmptest", count = 10}
	
end)

script.on_nth_tick(66, function (event)
	if global.pumps ~= nil then
		for k,pump in pairs(global.pumps) do
			if pump.valid then
				log(serpent.line(pump.burner.remaining_burning_fuel))
			else
				table.remove(global.pumps, k)
				if #global.pumps == 0 then
					global.pumps = nil
				end
			end
		end
	end
end)

script.on_event(defines.events.on_built_entity,
	function (event)
		if event.created_entity.name == thing then
			savePump(event.created_entity)	
		end
   	end
)

script.on_event(defines.events.on_robot_built_entity,
   	function (event)
		if event.created_entity.name == thing then
			savePump(event.created_entity)
		end
   	end
)

function savePump(entity)
	if global.pumps == nil then
		global.pumps = {}
	end
	table.insert(global.pumps, entity)
end
